### Method

# Camel DB writer_lock

since: 3.58

#### Declaration [src]

    void
    camel_db_writer_lock (
      CamelDB* cdb
    )

#### Description [src]

Acquires a writer lock on the `cdb`. It can be called multiple times. Call pair function `camel_db_writer_unlock()` to release it.

Note: This adds a transaction on the DB. Not all statements can be executed in the transaction.

Available since: 3.58